Bug 1426846 - plasma 5.8.6-2 update causes black screen after login
Summary: plasma 5.8.6-2 update causes black screen after login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 25
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-25 16:04 UTC by Gerald Cox
Modified: 2017-03-01 01:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 01:24:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 376847 None None None 2017-02-25 16:27:08 UTC

Description Gerald Cox 2017-02-25 16:04:09 UTC
Description of problem:
The following packages in the 5.8.6-2 update cause a black screen condition after login.  
Packages Altered:
    Upgraded libkworkspace5-5.8.5-5.fc25.x86_64                    @updates
    Upgrade                 5.8.6-2.fc25.x86_64                    @updates-testing
    Upgraded plasma-lookandfeel-fedora-5.8.5-5.fc25.noarch         @updates
    Upgrade                            5.8.6-2.fc25.noarch         @updates-testing
    Upgraded plasma-workspace-5.8.5-5.fc25.x86_64                  @updates
    Upgrade                   5.8.6-2.fc25.x86_64                  @updates-testing
    Upgraded plasma-workspace-common-5.8.5-5.fc25.x86_64           @updates
    Upgrade                          5.8.6-2.fc25.x86_64           @updates-testing
    Upgraded plasma-workspace-drkonqi-5.8.5-5.fc25.x86_64          @updates
    Upgrade                           5.8.6-2.fc25.x86_64          @updates-testing
    Upgraded plasma-workspace-geolocation-5.8.5-5.fc25.x86_64      @updates
    Upgrade                               5.8.6-2.fc25.x86_64      @updates-testing
    Upgraded plasma-workspace-geolocation-libs-5.8.5-5.fc25.x86_64 @updates
    Upgrade                                    5.8.6-2.fc25.x86_64 @updates-testing
    Upgraded plasma-workspace-libs-5.8.5-5.fc25.x86_64             @updates
    Upgrade                        5.8.6-2.fc25.x86_64             @updates-testing
    Upgraded sddm-breeze-5.8.5-5.fc25.noarch                       @updates
    Upgrade              5.8.6-2.fc25.noarch                       @updates-testing


Backout of the above packages circumvents the issue.

Comment 1 Rex Dieter 2017-02-25 16:22:54 UTC
2 questions:

What plasma theme are you using?

Possible to try running plasmashell by hand from this "black screen" session (via konsole or krunner)?  If it crashes, we'll need a backtrace.

Comment 2 Rex Dieter 2017-02-25 16:27:09 UTC
Re-opening upstream report of similar issue I hit while testing (but I thought I'd fixed it in plasma-workspace-5.8.6-2 packaging),
https://bugs.kde.org/show_bug.cgi?id=376847

Comment 3 Christian Dersch 2017-02-25 16:40:43 UTC
I get the issue too :( Theme is Breeze Dark. And I cannot start anything with krunner. Had to downgrade to get a working system again.

Logs show no obvious issues, just some messages I get with 5.8.5 too:Feb 25 17:23:15 bud plasmashell[1358]: QXcbConnection: XCB error: 2 (BadValue), sequence: 22016, resource id: 113246224, major code: 141 (Unknown), minor code: 3

Comment 4 Gerald Cox 2017-02-25 16:59:57 UTC
Rex, the issue happens with both the Fedora Breeze and regular Breeze themes.  I tried using krunner, but got the same result as Christian... was able to bring up the krunner command line, but when i entered a command, nothing happened.

Comment 5 Fedora Update System 2017-02-25 19:10:50 UTC
breeze-icon-theme-5.31.0-1.fc25 extra-cmake-modules-5.31.0-3.fc25 kf5-5.31.0-1.fc25 kf5-attica-5.31.0-1.fc25 kf5-baloo-5.31.0-1.fc25 kf5-bluez-qt-5.31.0-1.fc25 kf5-frameworkintegration-5.31.0-1.fc25 kf5-kactivities-5.31.0-1.fc25 kf5-kactivities-stats-5.31.0-1.fc25 kf5-kapidox-5.31.0-1.fc25 kf5-karchive-5.31.0-1.fc25 kf5-kauth-5.31.0-1.fc25 kf5-kbookmarks-5.31.0-1.fc25 kf5-kcmutils-5.31.0-1.fc25 kf5-kcodecs-5.31.0-1.fc25 kf5-kcompletion-5.31.0-1.fc25 kf5-kconfig-5.31.0-1.fc25 kf5-kconfigwidgets-5.31.0-1.fc25 kf5-kcoreaddons-5.31.0-1.fc25 kf5-kcrash-5.31.0-1.fc25 kf5-kdbusaddons-5.31.0-1.fc25 kf5-kdeclarative-5.31.0-1.fc25 kf5-kded-5.31.0-1.fc25 kf5-kdelibs4support-5.31.0-1.fc25 kf5-kdesignerplugin-5.31.0-1.fc25 kf5-kdesu-5.31.0-1.fc25 kf5-kdewebkit-5.31.0-1.fc25 kf5-kdnssd-5.31.0-1.fc25 kf5-kdoctools-5.31.0-1.fc25 kf5-kemoticons-5.31.0-1.fc25 kf5-kfilemetadata-5.31.0-1.fc25 kf5-kglobalaccel-5.31.0-1.fc25 kf5-kguiaddons-5.31.0-1.fc25 kf5-khtml-5.31.0-1.fc25 kf5-ki18n-5.31.0-1.fc25 kf5-kiconthemes-5.31.0-1.fc25 kf5-kidletime-5.31.0-1.fc25 kf5-kimageformats-5.31.0-1.fc25 kf5-kinit-5.31.0-1.fc25 kf5-kio-5.31.0-1.fc25 kf5-kitemmodels-5.31.0-1.fc25 kf5-kitemviews-5.31.0-1.fc25 kf5-kjobwidgets-5.31.0-1.fc25 kf5-kjs-5.31.0-1.fc25 kf5-kjsembed-5.31.0-1.fc25 kf5-kmediaplayer-5.31.0-1.fc25 kf5-knewstuff-5.31.0-1.fc25 kf5-knotifications-5.31.0-1.fc25 kf5-knotifyconfig-5.31.0-1.fc25 kf5-kpackage-5.31.0-1.fc25 kf5-kparts-5.31.0-1.fc25 kf5-kpeople-5.31.0-1.fc25 kf5-kplotting-5.31.0-1.fc25 kf5-kpty-5.31.0-1.fc25 kf5-kross-5.31.0-1.fc25 kf5-krunner-5.31.0-1.fc25 kf5-kservice-5.31.0-1.fc25 kf5-ktexteditor-5.31.0-2.fc25 kf5-ktextwidgets-5.31.0-1.fc25 kf5-kunitconversion-5.31.0-1.fc25 kf5-kwallet-5.31.0-1.fc25 kf5-kwayland-5.31.0-1.fc25 kf5-kwidgetsaddons-5.31.0-1.fc25 kf5-kwindowsystem-5.31.0-1.fc25 kf5-kxmlgui-5.31.0-1.fc25 kf5-kxmlrpcclient-5.31.0-1.fc25 kf5-modemmanager-qt-5.31.0-1.fc25 kf5-networkmanager-qt-5.31.0-1.fc25 kf5-plasma-5.31.0-1.fc25 kf5-solid-5.31.0-1.fc25 kf5-sonnet-5.31.0-1.fc25 kf5-syntax-highlighting-5.31.0-1.fc25 kf5-threadweaver-5.31.0-1.fc25 oxygen-icon-theme-5.31.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f6aa187ff

Comment 6 Rex Dieter 2017-02-25 19:11:38 UTC
Plasma-5.8.6 was built against kf5-5.31.0 so essentially depends on it.

Since kf5 is so big, I submitted it seprately,
https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f6aa187ff
to bodhi prior to submitting this one. No idea why that one didn't get pushed to -testing yet. :(

Comment 7 Fedora Update System 2017-02-26 05:25:44 UTC
breeze-icon-theme-5.31.0-1.fc25, extra-cmake-modules-5.31.0-3.fc25, kf5-5.31.0-1.fc25, kf5-attica-5.31.0-1.fc25, kf5-baloo-5.31.0-1.fc25, kf5-bluez-qt-5.31.0-1.fc25, kf5-frameworkintegration-5.31.0-1.fc25, kf5-kactivities-5.31.0-1.fc25, kf5-kactivities-stats-5.31.0-1.fc25, kf5-kapidox-5.31.0-1.fc25, kf5-karchive-5.31.0-1.fc25, kf5-kauth-5.31.0-1.fc25, kf5-kbookmarks-5.31.0-1.fc25, kf5-kcmutils-5.31.0-1.fc25, kf5-kcodecs-5.31.0-1.fc25, kf5-kcompletion-5.31.0-1.fc25, kf5-kconfig-5.31.0-1.fc25, kf5-kconfigwidgets-5.31.0-1.fc25, kf5-kcoreaddons-5.31.0-1.fc25, kf5-kcrash-5.31.0-1.fc25, kf5-kdbusaddons-5.31.0-1.fc25, kf5-kdeclarative-5.31.0-1.fc25, kf5-kded-5.31.0-1.fc25, kf5-kdelibs4support-5.31.0-1.fc25, kf5-kdesignerplugin-5.31.0-1.fc25, kf5-kdesu-5.31.0-1.fc25, kf5-kdewebkit-5.31.0-1.fc25, kf5-kdnssd-5.31.0-1.fc25, kf5-kdoctools-5.31.0-1.fc25, kf5-kemoticons-5.31.0-1.fc25, kf5-kfilemetadata-5.31.0-1.fc25, kf5-kglobalaccel-5.31.0-1.fc25, kf5-kguiaddons-5.31.0-1.fc25, kf5-khtml-5.31.0-1.fc25, kf5-ki18n-5.31.0-1.fc25, kf5-kiconthemes-5.31.0-1.fc25, kf5-kidletime-5.31.0-1.fc25, kf5-kimageformats-5.31.0-1.fc25, kf5-kinit-5.31.0-1.fc25, kf5-kio-5.31.0-1.fc25, kf5-kitemmodels-5.31.0-1.fc25, kf5-kitemviews-5.31.0-1.fc25, kf5-kjobwidgets-5.31.0-1.fc25, kf5-kjs-5.31.0-1.fc25, kf5-kjsembed-5.31.0-1.fc25, kf5-kmediaplayer-5.31.0-1.fc25, kf5-knewstuff-5.31.0-1.fc25, kf5-knotifications-5.31.0-1.fc25, kf5-knotifyconfig-5.31.0-1.fc25, kf5-kpackage-5.31.0-1.fc25, kf5-kparts-5.31.0-1.fc25, kf5-kpeople-5.31.0-1.fc25, kf5-kplotting-5.31.0-1.fc25, kf5-kpty-5.31.0-1.fc25, kf5-kross-5.31.0-1.fc25, kf5-krunner-5.31.0-1.fc25, kf5-kservice-5.31.0-1.fc25, kf5-ktexteditor-5.31.0-2.fc25, kf5-ktextwidgets-5.31.0-1.fc25, kf5-kunitconversion-5.31.0-1.fc25, kf5-kwallet-5.31.0-1.fc25, kf5-kwayland-5.31.0-1.fc25, kf5-kwidgetsaddons-5.31.0-1.fc25, kf5-kwindowsystem-5.31.0-1.fc25, kf5-kxmlgui-5.31.0-1.fc25, kf5-kxmlrpcclient-5.31.0-1.fc25, kf5-modemmanager-qt-5.31.0-1.fc25, kf5-networkmanager-qt-5.31.0-1.fc25, kf5-plasma-5.31.0-1.fc25, kf5-solid-5.31.0-1.fc25, kf5-sonnet-5.31.0-1.fc25, kf5-syntax-highlighting-5.31.0-1.fc25, kf5-threadweaver-5.31.0-1.fc25, oxygen-icon-theme-5.31.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0f6aa187ff

Comment 8 Rex Dieter 2017-02-26 12:42:37 UTC
new plasma-desktop/plasma-workspace builds add a versioned dependency on kf5-plasma (from kde frameworks 5.31.0)

Comment 9 Dandim 2017-02-26 15:19:10 UTC
After update new builds of kf5* packages system login successfully. @Rex thanks for quick fix.

Comment 10 Fedora Update System 2017-03-01 01:24:47 UTC
breeze-icon-theme-5.31.0-1.fc25, extra-cmake-modules-5.31.0-3.fc25, kf5-5.31.0-1.fc25, kf5-attica-5.31.0-1.fc25, kf5-baloo-5.31.0-1.fc25, kf5-bluez-qt-5.31.0-1.fc25, kf5-frameworkintegration-5.31.0-1.fc25, kf5-kactivities-5.31.0-1.fc25, kf5-kactivities-stats-5.31.0-1.fc25, kf5-kapidox-5.31.0-1.fc25, kf5-karchive-5.31.0-1.fc25, kf5-kauth-5.31.0-1.fc25, kf5-kbookmarks-5.31.0-1.fc25, kf5-kcmutils-5.31.0-1.fc25, kf5-kcodecs-5.31.0-1.fc25, kf5-kcompletion-5.31.0-1.fc25, kf5-kconfig-5.31.0-1.fc25, kf5-kconfigwidgets-5.31.0-1.fc25, kf5-kcoreaddons-5.31.0-1.fc25, kf5-kcrash-5.31.0-1.fc25, kf5-kdbusaddons-5.31.0-1.fc25, kf5-kdeclarative-5.31.0-1.fc25, kf5-kded-5.31.0-1.fc25, kf5-kdelibs4support-5.31.0-1.fc25, kf5-kdesignerplugin-5.31.0-1.fc25, kf5-kdesu-5.31.0-1.fc25, kf5-kdewebkit-5.31.0-1.fc25, kf5-kdnssd-5.31.0-1.fc25, kf5-kdoctools-5.31.0-1.fc25, kf5-kemoticons-5.31.0-1.fc25, kf5-kfilemetadata-5.31.0-1.fc25, kf5-kglobalaccel-5.31.0-1.fc25, kf5-kguiaddons-5.31.0-1.fc25, kf5-khtml-5.31.0-1.fc25, kf5-ki18n-5.31.0-1.fc25, kf5-kiconthemes-5.31.0-1.fc25, kf5-kidletime-5.31.0-1.fc25, kf5-kimageformats-5.31.0-1.fc25, kf5-kinit-5.31.0-1.fc25, kf5-kio-5.31.0-1.fc25, kf5-kitemmodels-5.31.0-1.fc25, kf5-kitemviews-5.31.0-1.fc25, kf5-kjobwidgets-5.31.0-1.fc25, kf5-kjs-5.31.0-1.fc25, kf5-kjsembed-5.31.0-1.fc25, kf5-kmediaplayer-5.31.0-1.fc25, kf5-knewstuff-5.31.0-1.fc25, kf5-knotifications-5.31.0-1.fc25, kf5-knotifyconfig-5.31.0-1.fc25, kf5-kpackage-5.31.0-1.fc25, kf5-kparts-5.31.0-1.fc25, kf5-kpeople-5.31.0-1.fc25, kf5-kplotting-5.31.0-1.fc25, kf5-kpty-5.31.0-1.fc25, kf5-kross-5.31.0-1.fc25, kf5-krunner-5.31.0-1.fc25, kf5-kservice-5.31.0-1.fc25, kf5-ktexteditor-5.31.0-2.fc25, kf5-ktextwidgets-5.31.0-1.fc25, kf5-kunitconversion-5.31.0-1.fc25, kf5-kwallet-5.31.0-1.fc25, kf5-kwayland-5.31.0-1.fc25, kf5-kwidgetsaddons-5.31.0-1.fc25, kf5-kwindowsystem-5.31.0-1.fc25, kf5-kxmlgui-5.31.0-1.fc25, kf5-kxmlrpcclient-5.31.0-1.fc25, kf5-modemmanager-qt-5.31.0-1.fc25, kf5-networkmanager-qt-5.31.0-1.fc25, kf5-plasma-5.31.0-1.fc25, kf5-solid-5.31.0-1.fc25, kf5-sonnet-5.31.0-1.fc25, kf5-syntax-highlighting-5.31.0-1.fc25, kf5-threadweaver-5.31.0-1.fc25, oxygen-icon-theme-5.31.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.